#!/bin/bash


lw0=-2.995732274
TC=0.382721761
TA=-0.819958347
TG=-0.59180071
CA=-0.413729162
CG=-0.610038409

mkdir Sim2

for lw2 in 0 0.405465108 0.693147181 1.609437912
do
    mkdir Sim2/lw2=$lw2
    for lw1 in 0 -0.693147181 
    do
	mkdir Sim2/lw2=$lw2/lw1=$lw1
	for HI in 0 -1 -3
	do
	    mkdir Sim2/lw2=$lw2/lw1=$lw1/HI=$HI
	    scale=`cold --model psgetscale --modelfile pssimmodels -t simtree -n 0 --initprobs 0.03,0.2,0.77 -d "sampledatafile" --initpars "$lw0,$lw1,$lw2,$CA,$TC,$TA,$TG,$CG,$HI" | awk '$1==0{print $2}' | tail -n1`
	    cold --simulate 1000,27,12345 -t simtree2 --model pssim --modelfile pssimmodels --unnormalised 0 --output shortpos --initpars $scale,$lw2,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
	    cold --simulate 1000,180,12345 -t simtree2 --model pssim --modelfile pssimmodels --unnormalised 0 --output shortneu --initpars $scale,$lw1,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
	    cold --simulate 1000,693,12345 -t simtree2 --model pssim --modelfile pssimmodels --unnormalised 0 --output shortneg --initpars $scale,$lw0,$CA,$TC,$TA,$TG,$CG,$HI --freqs freqs
	    for i in `seq 0 9` 
	    do
		for j in `seq 0 9`
		do
		    for k in `seq 0 9`
		    do
			join shortpos000$i$j$k shortneu000$i$j$k | join - shortneg000$i$j$k | awk '/693/{print "17 900"};/seq/{print $1,$2$3$4}' > short000$i$j$k
		    done
		done
	    done
	    mv short* Sim2/lw2=$lw2/lw1=$lw1/HI=$HI
	done
    done
done

tar -cf simulations_2.tar Sim2
gzip simulations_2.tar
